> For the complete documentation index, see [llms.txt](https://docs.interactive.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.interactive.ai/cli/iai_scores_create.md).

# iai scores create

Create a score

## Synopsis

Create a score on exactly one target resource.

This command currently requires API key authentication.

```
iai scores create [flags]
```

## Examples

```
  iai scores create --name accuracy --value 0.95 --trace-id trace-abc123
  iai scores create --name relevance --value 1 --data-type NUMERIC --observation-id obs-xyz789 --comment "looks good"
  iai scores create --name sentiment --value positive --data-type CATEGORICAL --session-id sess-456 --json
```

## Options

```
      --comment string          Score comment
      --config-id string        Related config ID
      --data-type string        Score data type (default "NUMERIC")
      --environment string      Target environment
  -h, --help                    help for create
      --id string               Explicit score ID
      --json                    Output raw API response as JSON
      --metadata-json string    Metadata as JSON object
      --name string             Score name
      --observation-id string   Target observation ID
  -o, --organization string     Organization name that owns the project
  -p, --project string          Project name
      --queue-id string         Related queue ID
      --session-id string       Target session ID
      --trace-id string         Target trace ID
      --value string            Score value
      --yaml                    Output raw API response as YAML
```

## Options inherited from parent commands

```
      --api-key string               API key for authentication
      --cfg-file string              Path to YAML config file with organization, project, and optional service definitions
      --deployment-hostname string   Hostname for the deployment API (default "https://deployment.interactive.ai")
      --hostname string              Hostname for the API (default "https://app.interactive.ai")
```

## SEE ALSO

* [iai scores](https://docs.interactive.ai/cli/iai_scores.md) - Read and write evaluation scores


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.interactive.ai/cli/iai_scores_create.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
